﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Threading.Tasks;
using System.Windows;
using PDF_Office.Views;
using Prism.DryIoc;
using Prism.Ioc;

namespace PDF_Office
{
    /// <summary>
    /// App.xaml 的交互逻辑
    /// </summary>
    public partial class App : PrismApplication
    {

        public App()
        {

#if !DEBUG
            //接入Appcenter后台数据检测
            string appkey = "b099dccc-1ca5-4ea1-a2fa-afd4a6e1f8bb"
            AppCenter.Start(appkey, typeof(Analytics), typeof(Crashes));
            var countryCode = RegionInfo.CurrentRegion.TwoLetterISORegionName;//上传国家信息
            AppCenter.SetCountryCode(countryCode);
#endif
        }

        /// <summary>
        /// 创建启动窗口
        /// </summary>
        /// <returns></returns>
        protected override Window CreateShell()
        {
            return Container.Resolve<MainWindow>();
        }

        protected override void RegisterTypes(IContainerRegistry containerRegistry)
        {
            //单例
            containerRegistry.RegisterForNavigation<HomeContent>();
            containerRegistry.RegisterForNavigation<ViewContent>();
        }
    }
}
