﻿using Prism.Commands;
using Prism.Mvvm;
using Prism.Regions;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PDF_Office.ViewModels
{
    public class HomeContentViewModel:BindableBase
    {

        public DelegateCommand OpenFileCommand { get; set; }

        public IRegionManager toolregion;

        public HomeContentViewModel(IRegionManager regionManager)
        {
            toolregion = regionManager;
            OpenFileCommand = new DelegateCommand(OpenFile);
        

        }

        /// <summary>
        /// 显示右侧不同的工具栏页面
        /// </summary>
        /// <param name="view"></param>
        public void ShowToolContent(string view)
        {
            this.toolregion.Regions["ToolContent"].RequestNavigate(view);
        }
        
        /// <summary>
        /// 打开文件
        /// </summary>
        public void OpenFile()
        { 

        }

        public void CreatBlankPDF()
        {
               
        }
    }
}
